#!/bin/bash

# Löschen der zweiten Spalte aus der txt-Datei
awk -F'\t' -v OFS='\t' '{$2=""; $0=$0; sub(/\t\t/, "\t"); print}' $1 > $2

# Leerzeichen am Ende der Zeile löschen
#sed -E 's/[[:space:]]+$//' $2 > $1

# Tabs am Ende der Zeile löschen
sed 's/\t\+$//' $2 > $1

# Alles am Ende der zweiten Spalte löschen was kein Buchstabe ist
awk -F'\t' -v OFS='\t' '{sub(/[^a-zA-Z]+$/, "", $2); print}'  $1 > $2

# Ersetzen von Leezeichen durch underlines in der zweiten Spalte

awk -F'\t' -v OFS='\t' '{gsub(/ /, "_", $2); print}' $2 > $1

# Tab zwischen 1. und 2. Spalte

awk -F'\t' -v OFS='\t' '{print $1 "-" $2}' $1 > $2

# Alle Leerezeiche löschen
sed 's/ //g' $2 > $1

input=$1

while IFS= read -r line
        do
                prefix="${line%%-*}"
                name=${line#*-}
                echo $name
        done
